#include "filedownloader.h"

FileDownloader::FileDownloader(QUrl Url, QObject *parent) :QObject(parent)
{
    connect(&m_WebCtrl, SIGNAL(finished(QNetworkReply*)), this, SLOT(FileDownloaded(QNetworkReply*)));
    QNetworkRequest request(Url);
    m_WebCtrl.get(request);
}

FileDownloader::~FileDownloader() {}

void FileDownloader::FileDownloaded(QNetworkReply* pReply) {
    m_DownloadedData = pReply->readAll();
    //emit a signal
    pReply->deleteLater();
    emit downloaded();
}

QByteArray FileDownloader::DownloadedData() const {
    return m_DownloadedData;
}
